import request from '@/utils/request'

// 查询农专年报基本信息列表
export function listReport(query) {
  return request({
    url: '/basicData/xcrAgriculturalCollegeAnnualReport/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专年报基本信息详细
export function getReport(xhCodeId) {
  return request({
    url: '/basicData/xcrAgriculturalCollegeAnnualReport/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专年报基本信息
export function addReport(data) {
  return request({
    url: '/basicData/xcrAgriculturalCollegeAnnualReport',
    method: 'post',
    data: data
  })
}

// 修改农专年报基本信息
export function updateReport(data) {
  return request({
    url: '/basicData/xcrAgriculturalCollegeAnnualReport',
    method: 'put',
    data: data
  })
}

// 删除农专年报基本信息
export function delReport(xhCodeId) {
  return request({
    url: '/basicData/xcrAgriculturalCollegeAnnualReport/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delReportBatch(ids) {
  return request.post('/basicData/xcrAgriculturalCollegeAnnualReport/delete',ids)
}
